package id.ac.unpas.ta.david.pojo;
// Generated Jul 15, 2019 5:45:00 PM by Hibernate Tools 5.2.8.Final

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * MasterProgramStudi generated by hbm2java
 */
@Entity
@Table(name = "master_program_studi", catalog = "ta")
public class MasterProgramStudi implements java.io.Serializable {

	private String idProgramStudi;
	private MasterFakultas masterFakultas;
	private String nama;
	private String jenjang;
	private String inisial;
	private Set<MasterMahasiswa> masterMahasiswas = new HashSet<MasterMahasiswa>(0);
	private Set<MasterKurikulum> masterKurikulums = new HashSet<MasterKurikulum>(0);

	public MasterProgramStudi() {
	}

	public MasterProgramStudi(String idProgramStudi, MasterFakultas masterFakultas, String nama, String jenjang,
			String inisial) {
		this.idProgramStudi = idProgramStudi;
		this.masterFakultas = masterFakultas;
		this.nama = nama;
		this.jenjang = jenjang;
		this.inisial = inisial;
	}

	public MasterProgramStudi(String idProgramStudi, MasterFakultas masterFakultas, String nama, String jenjang,
			String inisial, Set<MasterMahasiswa> masterMahasiswas, Set<MasterKurikulum> masterKurikulums) {
		this.idProgramStudi = idProgramStudi;
		this.masterFakultas = masterFakultas;
		this.nama = nama;
		this.jenjang = jenjang;
		this.inisial = inisial;
		this.masterMahasiswas = masterMahasiswas;
		this.masterKurikulums = masterKurikulums;
	}

	@Id

	@Column(name = "idProgramStudi", unique = true, nullable = false, length = 12)
	public String getIdProgramStudi() {
		return this.idProgramStudi;
	}

	public void setIdProgramStudi(String idProgramStudi) {
		this.idProgramStudi = idProgramStudi;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "idFakultas", nullable = false)
	public MasterFakultas getMasterFakultas() {
		return this.masterFakultas;
	}

	public void setMasterFakultas(MasterFakultas masterFakultas) {
		this.masterFakultas = masterFakultas;
	}

	@Column(name = "nama", nullable = false, length = 50)
	public String getNama() {
		return this.nama;
	}

	public void setNama(String nama) {
		this.nama = nama;
	}

	@Column(name = "jenjang", nullable = false, length = 15)
	public String getJenjang() {
		return this.jenjang;
	}

	public void setJenjang(String jenjang) {
		this.jenjang = jenjang;
	}

	@Column(name = "inisial", nullable = false, length = 30)
	public String getInisial() {
		return this.inisial;
	}

	public void setInisial(String inisial) {
		this.inisial = inisial;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "masterProgramStudi")
	public Set<MasterMahasiswa> getMasterMahasiswas() {
		return this.masterMahasiswas;
	}

	public void setMasterMahasiswas(Set<MasterMahasiswa> masterMahasiswas) {
		this.masterMahasiswas = masterMahasiswas;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "masterProgramStudi")
	public Set<MasterKurikulum> getMasterKurikulums() {
		return this.masterKurikulums;
	}

	public void setMasterKurikulums(Set<MasterKurikulum> masterKurikulums) {
		this.masterKurikulums = masterKurikulums;
	}

}
